# Changes all neutral/hostile mobs that are currently in distorted biomes to cursed beings that are much stronger than normal mobs
# also am i making the warden nearly unkillable? Yes. Yes I am.
execute if entity @s[type=bat] run data merge entity @s {Team:"Distorted",Tags:["distorted_bat"],Health:10f,CustomName:'{"text":"Distorted Bat"}',Attributes:[{Name:"generic.max_health",Base:10}]}
execute if entity @s[type=bee] run data merge entity @s {Team:"Distorted",Health:20f,AngerTime:2147438647,CustomName:'{"text":"Distorted Bee"}',Attributes:[{Name:"generic.max_health",Base:20},{Name:"generic.attack_damage",Base:4}]}
execute if entity @s[type=creeper] run data merge entity @s {Team:"Distorted",Health:30f,powered:1b,CustomNameVisible:0b,CustomName:'{"text":"Distorted Creeper"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=cave_spider] run data merge entity @s {Team:"Distorted",Health:25f,CustomName:'{"text":"Distorted Cave Spider"}',Attributes:[{Name:"generic.max_health",Base:25},{Name:"generic.attack_damage",Base:4}]}
execute if entity @s[type=drowned] run data merge entity @s {Team:"Distorted",Health:30f,CustomName:'{"text":"Distorted Drowned"}',HandItems:[{id:"minecraft:trident",Count:1b},{}],HandDropChances:[0.085F,0.085F],Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=endermite] run data merge entity @s {Team:"Distorted",Health:15f,CustomName:'{"text":"Distorted Endermite"}',Attributes:[{Name:"generic.max_health",Base:15},{Name:"generic.attack_damage",Base:4}]}
execute if entity @s[type=enderman] run data merge entity @s {Team:"Distorted",Health:50f,CustomName:'{"text":"Distorted Enderman"}',Attributes:[{Name:"generic.max_health",Base:50},{Name:"generic.attack_damage",Base:5}]}
execute if entity @s[type=evoker] run data merge entity @s {Team:"Distorted",Health:45f,CanJoinRaid:1b,CustomName:'{"text":"Distorted Evoker"}',Attributes:[{Name:"generic.max_health",Base:45}]}
execute if entity @s[type=guardian] run data merge entity @s {Team:"Distorted",Health:30f,CustomName:'{"text":"Distorted Guardian"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=husk] run data merge entity @s {Team:"Distorted",Health:30f,CustomName:'{"text":"Distorted Husk"}',Attributes:[{Name:"generic.max_health",Base:30},{Name:"generic.movement_speed",Base:0.45}]}
execute if entity @s[type=illusioner] run data merge entity @s {Team:"Distorted",Health:40f,CanJoinRaid:1b,CustomName:'{"text":"Distorted Illusioner"}',Attributes:[{Name:"generic.max_health",Base:40}]}
execute if entity @s[type=panda] run data merge entity @s {Team:"Distorted",Health:30f,MainGene:"aggressive",HiddenGene:"aggressive",CustomName:'{"text":"Distorted Panda"}',Attributes:[{Name:"generic.max_health",Base:30},{Name:"generic.attack_damage",Base:5}]}
execute if entity @s[type=phantom] run data merge entity @s {Tags:["distorted_phantom"],Team:"Distorted",Health:30f,CustomName:'{"text":"Distorted Phantom"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=pillager] run data merge entity @s {Team:"Distorted",Health:35f,CanJoinRaid:1b,CustomName:'{"text":"Distorted Pillager"}',Attributes:[{Name:"generic.max_health",Base:35}]}
execute if entity @s[type=polar_bear] run data merge entity @s {Team:"Distorted",Health:30f,AngerTime:2147438647,CustomName:'{"text":"Distorted Polar Bear"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=ravager] run data merge entity @s {Team:"Distorted",Health:150f,CanJoinRaid:1b,CustomName:'{"text":"Distorted Ravager"}',Attributes:[{Name:"generic.max_health",Base:150}]}
execute if entity @s[type=silverfish] run data merge entity @s {Team:"Distorted",Health:20f,CustomName:'{"text":"Distorted Silverfish"}',Attributes:[{Name:"generic.max_health",Base:20}]}
execute if entity @s[type=skeleton] run data merge entity @s {Tags:["distorted_skeleton"],Team:"Distorted",Health:35f,CustomName:'{"text":"Distorted Skeleton"}',Attributes:[{Name:"generic.max_health",Base:35}]}
execute if entity @s[type=slime] run data merge entity @s {Team:"Distorted",Health:25f,CustomName:'{"text":"Distorted Slime"}',Attributes:[{Name:"generic.max_health",Base:25}]}
execute if entity @s[type=stray] run data merge entity @s {Team:"Distorted",Health:30f,CustomName:'{"text":"Distorted Stray"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=spider] run data merge entity @s {Team:"Distorted",Health:30f,CustomName:'{"text":"Distorted Spider"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=vex] run data merge entity @s {Team:"Distorted",Health:25f,CustomName:'{"text":"Distorted Vex"}',Attributes:[{Name:"generic.max_health",Base:25}]}
execute if entity @s[type=vindicator] run data merge entity @s {Team:"Distorted",Health:30f,CanJoinRaid:1b,CustomName:'{"text":"Distorted Vindicator"}',Attributes:[{Name:"generic.max_health",Base:30}]}
execute if entity @s[type=warden] run data merge entity @s {Team:"Distorted",Health:750f,CustomName:'{"text":"Distorted Warden"}',DeathLootTable:"minecraft:distorted_caves/distorted_warden",Attributes:[{Name:"generic.max_health",Base:750},{Name:"generic.attack_damage",Base:20}]}
execute if entity @s[type=zombie] run function distorted_caves:distorted_zombie_conversion
execute if entity @s[type=zombie_villager] run data merge entity @s {Team:"Distorted",Health:45f,CustomName:'{"text":"Distorted Zombie Villager"}',Attributes:[{Name:"generic.max_health",Base:45}]}

# tags all distorted mobs
tag @s add distorted_monster